This page covers a next version of Handsontable, and is not published yet.

This page covers a non-latest version of Handsontable.

# Modules in Angular

Import just the modules that you actually need, to reduce Handsontable's impact on the size of your Angular app.

# Use modules in Angular

To use modules with Handsontable's Angular wrapper, follow the steps below:

# Step 1: Import the base module

No matter which optional modules you use, you need to import the base module.

In the entry point file of your application, import the handsontable/base module:

import Handsontable from 'handsontable/base';

# Step 2: Import optional modules

Import optional modules of your choice:

Import optional modules of your choice, along with their registering functions.

For example, to import the numeric cell type module and the UndoRedo plugin module:

import {
registerCellType, // cell types' registering function
NumericCellType,
} from 'handsontable/cellTypes';

import {
registerPlugin, // plugins' registering function
UndoRedo,
} from 'handsontable/plugins';

# Step 3: Register your modules

Register your modules, to let Handsontable recognize them.

For example, to register the numeric cell type module and the UndoRedo plugin module:

registerCellType(NumericCellType);
registerPlugin(UndoRedo);

# Full example

import { BrowserModule } from '@angular/platform-browser';
import { NgModule } from '@angular/core';
import { AppComponent } from './app.component';
import { HotTableModule } from '@handsontable/angular';

import Handsontable from 'handsontable/base';

import {
  registerCellType,
  NumericCellType,
} from 'handsontable/cellTypes';

import {
  registerPlugin,
  UndoRedo,
} from 'handsontable/plugins';

registerCellType(NumericCellType);
registerPlugin(UndoRedo);

@NgModule({
  declarations: [
    AppComponent
  ],
  imports: [
    BrowserModule,
    HotTableModule
  ],
  providers: [],
  bootstrap: [AppComponent]
})
export class AppModule { }

# Modules in Vue 2
Table of contents
# Overview
To reduce the size of your app, you can use Handsontable by importing individual modules.
# Using modules in Vue
To use modules with Handsontable's Vue 2 wrapper, follow the steps below:
# Step 1: Import the handsontable/base
module
In the entry point file of your application, import the handsontable/base
module:
// your `main.js` file
import Vue from 'vue';
import App from './App.vue';
// import the `handsontable/base` module
import Handsontable from 'handsontable/base';
# Step 2: Import modules and their registering functions
Import the modules that you want to use (for the full list of Handsontable modules, see the modules cheatsheet).
Also, import those modules' registering functions.
For example, to use the numeric
cell type and the UndoRedo
plugin:
import Vue from 'vue';
import App from './App.vue';
import Handsontable from 'handsontable/base';
// import the `NumericCellType` module and the `registerCellType()` function
import {
registerCellType,
NumericCellType,
} from 'handsontable/cellTypes';
// import the `UndoRedo` module and the `registerPlugin()` function
import {
registerPlugin,
UndoRedo,
} from 'handsontable/plugins';
# Step 3: Register the modules
Register your modules, using the registering functions that you imported (for the full list of Handsontable's registering functions, see the see the modules cheatsheet):
import Vue from 'vue';
import App from './App.vue';
import Handsontable from 'handsontable/base';
import {
registerCellType,
NumericCellType,
} from 'handsontable/cellTypes';
import {
registerPlugin,
UndoRedo,
} from 'handsontable/plugins';
// register the `NumericCellType` module
registerCellType(NumericCellType);
// register the `UndoRedo` module
registerPlugin(UndoRedo);
Vue.config.productionTip = false;
new Vue({
render: h => h(App),
}).$mount('#app');

This page covers a next version of Handsontable, and is not published yet.

This page covers a non-latest version of Handsontable.

# Modules in React

Import just the modules that you actually need, to reduce Handsontable's impact on the size of your React app.

# Use modules in React

To use modules with Handsontable's React wrapper, follow the steps below:

# Step 1: Import the base module

No matter which optional modules you use, you need to import the base module.

In the entry point file of your application, import the handsontable/base module:

import Handsontable from 'handsontable/base';

# Step 2: Import optional modules

Import optional modules of your choice, along with their registering functions.

For example, to import the numeric cell type module and the UndoRedo plugin module:

import {
registerCellType, // cell types' registering function
NumericCellType,
} from 'handsontable/cellTypes';

import {
registerPlugin, // plugins' registering function
UndoRedo,
} from 'handsontable/plugins';

# Step 3: Register your modules

Register your modules, to let Handsontable recognize them.

For example, to register the numeric cell type module and the UndoRedo plugin module:

registerCellType(NumericCellType);
registerPlugin(UndoRedo);

# Full example

import React from 'react';
import ReactDOM from 'react-dom';
import './index.css';
import App from './App';

import Handsontable from 'handsontable/base';

import {
  registerCellType,
  NumericCellType,
} from 'handsontable/cellTypes';

import {
  registerPlugin,
  UndoRedo,
} from 'handsontable/plugins';

registerCellType(NumericCellType);
registerPlugin(UndoRedo);

ReactDOM.render(
  <React.StrictMode>
    <App />
  </React.StrictMode>,
  document.getElementById('root')
);